Bug 1016758 - [abrt] libreoffice-core-4.1.2.3-2.fc19: utl::ConfigManager::removeConfigItem: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.2.3-2.fc19: utl::ConfigManager::removeConfigItem:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
abrt_hash:8f72e7c16e379a1b26b34e64786...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 11:59 EDT by Bob Clayton
Modified: 2014-12-20 03:43 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.2.7.2-12.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-20 03:43:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.59 KB, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: core_backtrace (23.13 KB, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: dso_list (21.13 KB, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: environ (3.61 KB, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: maps (106.16 KB, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: open_fds (359 bytes, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-10-08 12:00 EDT, Bob Clayton
no flags Details

  None (edit)
Description Bob Clayton 2013-10-08 11:59:58 EDT
Version-Release number of selected component:
libreoffice-core-4.1.2.3-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/Bob/.cache/evolution/tmp/evolution-Bob-BdjTvy/WFD-07.xls
crash_function: utl::ConfigManager::removeConfigItem
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 utl::ConfigManager::removeConfigItem at /usr/src/debug/libreoffice-4.1.2.3/unotools/source/config/configmgr.cxx:201
 #1 utl::ConfigItem::~ConfigItem at /usr/src/debug/libreoffice-4.1.2.3/unotools/source/config/configitem.cxx:233
 #2 SvtLinguConfigItem::~SvtLinguConfigItem at /usr/src/debug/libreoffice-4.1.2.3/unotools/source/config/lingucfg.cxx:198
 #3 SvtLinguConfig::~SvtLinguConfig at /usr/src/debug/libreoffice-4.1.2.3/unotools/source/config/lingucfg.cxx:825
 #4 ~LinguProps at /usr/src/debug/libreoffice-4.1.2.3/linguistic/source/lngopt.hxx:94
 #5 LinguProps::~LinguProps at /usr/src/debug/libreoffice-4.1.2.3/linguistic/source/lngopt.hxx:94
 #6 bridges::cpp_uno::shared::freeUnoInterfaceProxy at /usr/src/debug/libreoffice-4.1.2.3/bridges/source/cpp_uno/shared/unointerfaceproxy.cxx:43
 #7 (anonymous namespace)::s_stub_defenv_revokeInterface at /usr/src/debug/libreoffice-4.1.2.3/cppu/source/uno/lbenv.cxx:390
 #8 s_environment_invoke_v at /usr/src/debug/libreoffice-4.1.2.3/cppu/source/uno/EnvStack.cxx:292
 #9 uno_Environment_invoke_v at /usr/src/debug/libreoffice-4.1.2.3/cppu/source/uno/EnvStack.cxx:311
Comment 1 Bob Clayton 2013-10-08 12:00:03 EDT
Created attachment 809379 [details]
File: backtrace
Comment 2 Bob Clayton 2013-10-08 12:00:08 EDT
Created attachment 809380 [details]
File: cgroup
Comment 3 Bob Clayton 2013-10-08 12:00:16 EDT
Created attachment 809381 [details]
File: core_backtrace
Comment 4 Bob Clayton 2013-10-08 12:00:20 EDT
Created attachment 809383 [details]
File: dso_list
Comment 5 Bob Clayton 2013-10-08 12:00:27 EDT
Created attachment 809384 [details]
File: environ
Comment 6 Bob Clayton 2013-10-08 12:00:32 EDT
Created attachment 809385 [details]
File: exploitable
Comment 7 Bob Clayton 2013-10-08 12:00:36 EDT
Created attachment 809386 [details]
File: limits
Comment 8 Bob Clayton 2013-10-08 12:00:40 EDT
Created attachment 809387 [details]
File: maps
Comment 9 Bob Clayton 2013-10-08 12:00:43 EDT
Created attachment 809388 [details]
File: open_fds
Comment 10 Bob Clayton 2013-10-08 12:00:48 EDT
Created attachment 809389 [details]
File: proc_pid_status
Comment 11 Stephan Bergmann 2013-10-08 12:37:26 EDT
binaryurp::Reader thread 1 still executing while main thread 6 is already in exit; thought that was impossible
Comment 12 Stephan Bergmann 2014-05-19 12:14:34 EDT
<http://cgit.freedesktop.org/libreoffice/core/commit/?id=184e4ef35641403fd293262ee413ceee37b3761a> "rhbz#1016758: Dispose bridges when disposing bridge factory" should fix this on upstream master towards LibreOffice 4.3.  However, as noted there:  "But this is so glaring that I wonder whether I missed the obvious when I originally wrote that code, or whether I rather miss the obvious now.  So better let this rest for a while on master before deciding about any backports."
Comment 13 Fedora Update System 2014-12-09 04:14:37 EST
libreoffice-4.2.7.2-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.7.2-12.fc20
Comment 14 Fedora Update System 2014-12-11 23:33:39 EST
Package libreoffice-4.2.7.2-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.7.2-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16766/libreoffice-4.2.7.2-12.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2014-12-20 03:43:17 EST
libreoffice-4.2.7.2-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.